package com.ruoyi.generator.mapper.front;

import java.util.List;
import com.ruoyi.generator.domain.front.FrontProjectGeneration;

public interface FrontProjectGenerationMapper
{
    public FrontProjectGeneration selectFrontProjectGenerationById(Long generationId);
    public List<FrontProjectGeneration> selectFrontProjectGenerationList(FrontProjectGeneration frontProjectGeneration);
    public List<FrontProjectGeneration> selectGenerationsByProjectId(Long projectId);
    public int insertFrontProjectGeneration(FrontProjectGeneration frontProjectGeneration);
    public int updateFrontProjectGeneration(FrontProjectGeneration frontProjectGeneration);
    public int deleteFrontProjectGenerationById(Long generationId);
    public int deleteGenerationsByProjectId(Long projectId);
}
